
%global meadversion 2.1.0
%global namedversion 2.1.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package jboss-modules} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 2.1.0.Final-redhat-00001

Name:             %{?scl_prefix}jboss-modules
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          A Modular Classloading System
Group:            Development/Libraries

%if %with mead
Source100: jboss-modules-2.1.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-modules-2.1.0.Final-redhat-00001.jar
Source103: jboss-modules-2.1.0.Final-redhat-00001.pom
Source104: jboss-modules-2.1.0.Final-redhat-00001-javadoc.jar
Source105: jboss-modules-2.1.0.Final-redhat-00001-sources.jar
%endif

License:          ASL 2.0 or xpp
URL:              https://github.com/jbossas/jboss-modules

BuildArch:        noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ths package contains A Modular Classloading System.

%if %with javadoc
%package javadoc
Summary:          Javadocs for jboss-modules
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for jboss-modules.
%endif

%prep
%setup -q -n jboss-modules-%{namedversion} -T -b 100

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

# JAR
%if %without mead
cp -p target/jboss-modules-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%else
%{__cp} -p %{_sourcedir}/jboss-modules-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%{__cp} -p %{_sourcedir}/jboss-modules-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# JAVADOC
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-modules-%{namedversion}
%if %without mead
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/jboss-modules-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/jboss-modules-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-modules-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jboss-modules-%{namedversion}/META-INF
%{__ln_s} jboss-modules-%{namedversion} %{buildroot}%{_javadocdir}/jboss-modules
%endif
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}*/jboss-modules-%{namedversion}.jar
%{_javadir}*/jboss-modules.jar
%{_javadir}*/jboss-modules-%{namedversion}-sources.jar
%{_javadir}*/jboss-modules-sources.jar
%doc

%if %with javadoc
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/jboss-modules-%{namedversion}
%{_javadocdir}/jboss-modules
%endif

%changelog
* Wed May 24 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Nov 08 2022 Permaine Cheung <pcheung@redhat.com> - 2.0.3-1.Final_redhat_00001.1
- 2.0.3.Final-redhat-00001

* Fri Oct 21 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.12.0-2.Final_redhat_00001.1
- Built by CPaaS
